name: uva
channels:
  - pytorch
  - nvidia
  - conda-forge
dependencies:
  - python=3.9
  - pip=22.1
  - pytorch=2.1.0
  - pytorch-cuda=12.1
  - torchvision=0.16.0
  - scipy=1.11
  - numba=0.60.0=py39h0320e7d_0
  - numpy=1.26.4=py39h474f0d3_0
  - pandas=2.1
  - ipykernel=6.23
  - matplotlib=3.7
  - av=10.0
  - pyyaml=6.0
  - tqdm=4.65
  - zarr=2.16
  - numcodecs=0.11
  - hydra-core=1.2.0
  - dill=0.3.7
  - einops=0.6.1
  - diffusers=0.18.2
  - gym=0.21.0
  - timm=0.9.7
  - cython=0.29
  - accelerate=1.0.1
  - boto3=1.33
  - exiftool=12
  - aiohttp=3.9
  - aiofiles=23.2
  - lz4=4.3.3
  - deepspeed=0.16.3
  - pip:
      - gdown==5.2.0
      - imagecodecs==2024.12.30
      - kornia==0.8.0
      - kornia-rs==0.1.8
      - opencv-python==4.11.0.86
      - pygame==2.6.1
      - pymunk==6.11.1
      - scikit-image==0.24.0
      - scipy==1.13.1
      - shapely==2.0.7
      - tensorboard==2.19.0
      - transformers==4.28.0
      - huggingface_hub==0.25.2
      - wandb==0.18.3
prefix: /scratch/m000073/shuang/miniforge3/envs/uva
